Authentication

POST
/oauth

We use the industry-standard oAuth2 authentication to secure our API.

Information you'll need

  • Your Client ID and Client Secret (from the application you created in Fuzebox).
  • Your API username and password (from the API credentials section in Fuzebox).

Step-by-step instructions on how to authenticate are available in our implementation guides area.

Request Body

application/json
  1. body
grant_type*"password"

Grant type must be password.

Value in"password"
client_id*string

Client identifier from the application created in Fuzebox.

Formatuuid
client_secret*string

Client secret from the application created in Fuzebox.

Formatuuid
username*string

API username from customer credentials created in Fuzebox.

password*string

API password from customer credentials created in Fuzebox.

Response Body

OK - Successful login attempt, returning an access token.

application/json
  1. response
access_token*string

Access token (bearer).

token_type*string

Type of the token.

Default"Bearer"
expires_in*integer

Token's expiration time, in seconds.

refresh_token*string

Refresh token. Can be used to refresh access token without the need to re-authenticate.

Example Request
curl -X POST 'https://gateway.sandbox.volt.io/oauth' \  -H 'Content-Type: application/json' \  -d '{  "grant_type": "password",  "client_id": "5b3fa7ba-57d3-4017-a65b-d57dcd2db643",  "client_secret": "374b44bd-d20e-449c-8088-12bd82599d35",  "username": "string",  "password": "string"}'
Example Response
{  "access_token": "eyJ0eXAiOi...",  "token_type": "Bearer",  "expires_in": 86400,  "refresh_token": "50679c5db61d63b107273fa11a666a09fc7ae28"}